Get a version of a configuration by hash or by tag.

get https://app.mk.io/api/v1/projects/:project_name/templating/configs/:config_type/:name/versions/:version

Return the version of the configuration which has the given name and hash, or name and tag, or an error if that combination does not exist.

RBAC Capability Required: templating.configs.get

Authentication

Authorization Bearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

project_name string Required
config_type string Required
name string Required
version string Required

Response

200 A single configuration
kindstringOptional
The kind of record.
metadataobjectConfigGetMetadataRequired
Metadata.
Show 13 propertiesHide 13 properties
createdstringOptionalformat: date-time
The time when the resource was created
createdBystringOptionalformat: uuid
ID of the user who created the resource
createdByEmailstringOptional
Email of the user who created the resource
descriptionstringOptional0-200 charactersDefaults to
Optional description of revision of the configuration.
hashstringOptional
Hash of this configuration.
idstringRequiredformat: uuid
The ID of the resource
labelsmap from strings to stringOptional
A dictionary of labels associated with the resource
Show value schemaHide value schema
[any key]string
namestringOptional
The name of the resource
tagslist of stringsOptional
Tags for this revision of the config.
typestringRequired
Type of configuration.
updatedstringOptionalformat: date-time
The time when the resource was last updated
updatedBystringOptionalformat: uuid
ID of the user who last updated the resource
updatedByEmailstringOptional
Email of the user who last updated the resource
specobjectConfigGetSpecOptional
Specification.
Show 2 propertiesHide 2 properties
configmap from strings to anyOptional
The contents of the config.
Show value schemaHide value schema
[any key]any
parameterslist of objectsConfigParameterSchemaOptional
Parameters exposed by this configuration.
Show 3 propertiesHide 3 properties
descriptionstring or nullOptional
Optional description of the parameter.
namestringRequired
The name of the parameter.
pathslist of stringsRequired1+ items
List of paths in the config where this parameter applies. Each path must be unique.
statusobjectConfigGetStatusOptional
Computed status including available input/output pin names.
Show 2 propertiesHide 2 properties
inputPinslist of objectsConfigPinSchemaOptional
Available input pin names for this template.
Show 2 propertiesHide 2 properties
allowMultipleBindingsbooleanOptional
Whether multiple flow inputs/outputs can reference this pin.
namestringRequired
The pin name to use for transformInput or transformOutput.
outputPinslist of objectsConfigPinSchemaOptional
Available output pin names for this template.
Show 2 propertiesHide 2 properties
allowMultipleBindingsbooleanOptional
Whether multiple flow inputs/outputs can reference this pin.
namestringRequired
The pin name to use for transformInput or transformOutput.

Errors

400 Bad Request
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
401 Unauthorized
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
403 Forbidden
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
404 Not Found
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
429 Too Many Requests
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
500 Internal Server Error
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code